#!/bin/bash
#
# Copyright (c) 2012-2014 Fixpoint Inc. All rights reserved.
# ---
# マスターDBからスナップショットを取得し、同期処理を行う
#
THIS_DIR=`dirname \`readlink -f $0\``
TMPFILE=".kompira.$$.tmp"
SETUP_TYPE="マスタとのデータベース同期セットアップ"

. $THIS_DIR/setup_utils.sh

master_name=$HA_COUNTERPART

usage_exit()
{
    cat <<EOF
Usage: `basename $0` [<master-name>]

  --help                Show this message.

EOF
    exit 1
}

parse_options()
{
    OPTIONS=`getopt -q -o '' -l help -- "$@"`
    [ $? != 0 ] && usage_exit

    local slave_mode
    eval set -- "$OPTIONS"
    while true
    do
        arg="$1"
        case "$arg" in
            --) shift; break ;; # 引数は無視
            *) usage_exit ;;
        esac
        shift
    done

    if [ -n "$1" ]
    then
        master_name="$1"
    fi
}

################################################################

parse_options "$@"
start_setup
pgsql_replica $master_name
setup_completed
exit_setup 0
